Skip to main content
GET
/
payment
/
subscription
Subscriptions Get
curl --request GET \
  --url https://ctechnology.io/api/v2.2/payment/subscription \
  --header 'Authorization: <api-key>'
{
  "header": {
    "api_version": "<string>",
    "permission_via": [
      {
        "permission": "<string>",
        "organization_id": "<string>"
      }
    ],
    "status": "<string>",
    "num_results": 123,
    "message": "<string>",
    "offset": 123,
    "limit": 123
  },
  "data": [
    {
      "id": "<string>",
      "timestamp_start": "2023-11-07T05:31:56Z",
      "timestamp_end": "2023-11-07T05:31:56Z",
      "user_id": "<string>",
      "vehicle_id": "<string>",
      "stripe_subscription": "<string>",
      "voucher_id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ctechnology.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Note that the API key has to be sent as Token 123 where 123 is the key you received after logging in or by creating on the developer dashboard.

Query Parameters

vehicle_id
string
required

Response

OK

header
APIResponseHeaderPaginated · object
required
data
ServiceSubscriptionGet · object[]
required